SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000762SiT!incidentspublic2009-07-08 10:302009-08-16 14:38
ReporterBonkie 
Assigned ToBonkie 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformApple iMacOSMac OSX OS Version10.5
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000762: Customer cannot use 'Add incident'
DescriptionWhen logged in to the Customer Panel the client cannot add a incident from the top menu.

The contract ID is missing.

File: /inc/portalheader.inc.php
Line: 151
Fix:

Replace this
$contractid = $_SESSION['entitlement'][0]->id;

Replace to:
$contractid = unserialize($_SESSION['entitlement'][0])->id;

Full and correct file included
TagsNo tags attached.
Attached Files? file icon portalheader.inc.php [^] (6,951 bytes) 2009-07-08 10:30

- Relationships

-  Notes
User avatar (0001265)
ivan (administrator)
2009-07-08 11:38

Thanks for these two patches Bonkie, I'll apply them when I find time (if there is any spare time this week, mad busy unfortunately)

Would you like SVN commit access to make some of these changes yourself? Might be easier for you.
User avatar (0001266)
Bonkie (developer)
2009-07-08 12:06

No thanks.

Yes I would like to have access to the SVN to commit changes.
User avatar (0001292)
ivan (administrator)
2009-07-11 15:10

Fixed by svn r5496
User avatar (0001628)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-08 10:30 Bonkie New Issue
2009-07-08 10:30 Bonkie File Added: portalheader.inc.php
2009-07-08 11:38 ivan Note Added: 0001265
2009-07-08 12:06 Bonkie Note Added: 0001266
2009-07-11 15:10 ivan Note Added: 0001292
2009-07-11 15:10 ivan Assigned To => Bonkie
2009-07-11 15:10 ivan Status new => resolved
2009-07-11 15:10 ivan Resolution open => fixed
2009-07-11 15:10 ivan Fixed in Version => Current SVN
2009-07-11 15:10 ivan Target Version => 3.50
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001628
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker